DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-06-11-LicensesGroupId';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=3985) THEN
			RETURN;
		END IF;

		BEGIN
			
			ALTER TABLE public."Licenses" ADD "GroupId" character varying(4000) NULL;
			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-06-11-LicensesGroupId: %', SQLERRM;
		END;
	END;
$$


